/**
 * 各種定義
 */
// Ajax用method定義
var AJAX_METHOD_GET  = 'GET';

// 起動時タイムスタンプ（ミリ秒）
var START_TIMESTAMP = (new Date()).getTime();

// 基準となる画面幅（px）
var BASE_WIDTH = 480;


/**
 * Angularjs用処理
 */
// Angularjs使用定義
angular.module('Nans21vApp', ["ngSanitize"]);
var APP = angular.module('Nans21vApp');

// bodyロード時用directive作成
APP.directive('ngBodyLoad', function ($window, $timeout) {
  return function(scope, element, attrs){
    // リサイズ時イベントにスクロールの調整を設定
    angular.element($window).bind('resize', function() {
      $timeout(function() {
        ScrollAdjust();
      }, 0);
    });
  }
});

// ng-repeat完了検知用directive作成（歴代記録用）
APP.directive('ngRepeatFinishedRekidai', function ($timeout) {
  return function(scope, element, attrs){
    if (scope.$last){
      // 歴代記録ダイアログの設定
      $timeout(function(){
        RekidaiDialogInitialize();
      });
    }
  }
});

// ng-repeat完了検知用directive作成
APP.directive('ngRepeatFinished', function ($timeout, $anchorScroll) {
  return function(scope, element, attrs){
    if (scope.$last){
      // スクロールの調整
      $timeout(function(){
        ScrollAdjust();
        $anchorScroll();
      });
    }
  }
});



/**
 * 共通関数
 */
/**
 * スマホ判定関数
 */
function isSmartPhone() {
  if (navigator.userAgent.match(/iPhone|Android.+Mobile/)) {
    return true;
  } else {
    return false;
  }
}
